<script setup lang="ts">
import { ref } from 'vue';
import { useAuthStore } from '@/stores/auth';
import type { VForm } from 'vuetify/components'
const authenStore = useAuthStore()
const form = ref(false)
const refForm = ref<VForm | null>(null)
const email = ref('admin@email.com')
const password = ref('pass@123')
const required = (v: string) => {
    return !!v || 'Field is required'
}
const onSubmit = async () => {
    const { valid } = await refForm.value!.validate()
    if (!valid) return
    authenStore.login(email.value, password.value)
}

</script>

<template>
    <v-sheet class="bg-deep-purple pa-12" rounded>
        <v-card class="mx-auto px-6 py-8" max-width="344">
            <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
                <v-text-field v-model="email" :rules="[required]" class="mb-2" label="Email" clearable></v-text-field>

                <v-text-field v-model="password" :rules="[required]" label="Password" placeholder="Enter your password"
                    clearable></v-text-field>

                <br>

                <v-btn :disabled="!form" color="success" size="large" type="submit" variant="elevated" block>
                    Sign In
                </v-btn>
            </v-form>
        </v-card>
    </v-sheet>
</template>
